## ros-rolling-pilz-industrial-motion-planner-testutils 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.10.2)
-project(pilz_industrial_motion_planner_testutils)
+cmake_minimum_required(VERSION 3.22)
+project(pilz_industrial_motion_planner_testutils LANGUAGES CXX)
 
 # Common cmake code applied to all moveit packages
 find_package(moveit_common REQUIRED)
@@ -23,7 +23,7 @@
 include_directories(include)
 
 ## Declare a C++ library
-add_library(${PROJECT_NAME} SHARED
+add_library(pilz_industrial_motion_planner_testutils SHARED
   src/cartesianconfiguration.cpp
   src/jointconfiguration.cpp
   src/robotconfiguration.cpp
@@ -32,7 +32,7 @@
 )
 
 ## Specify libraries to link a library or executable target against
-ament_target_dependencies(${PROJECT_NAME}
+ament_target_dependencies(pilz_industrial_motion_planner_testutils
   Boost
   Eigen3
   eigen3_cmake_module
@@ -47,17 +47,17 @@
 #############
 
 install(
-  TARGETS ${PROJECT_NAME}
-  EXPORT export_${PROJECT_NAME}
+  TARGETS pilz_industrial_motion_planner_testutils
+  EXPORT pilz_industrial_motion_planner_testutilsTargets
   LIBRARY DESTINATION lib
   ARCHIVE DESTINATION lib
   RUNTIME DESTINATION bin
-  INCLUDES DESTINATION include
+  INCLUDES DESTINATION include/pilz_industrial_motion_planner_testutils
 )
 
-install(DIRECTORY include/ DESTINATION include)
+install(DIRECTORY include/ DESTINATION include/pilz_industrial_motion_planner_testutils)
 
-ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
+ament_export_targets(pilz_industrial_motion_planner_testutilsTargets HAS_LIBRARY_TARGET)
 ament_export_dependencies(rclcpp moveit_core moveit_msgs tf2_eigen)
 
 if(BUILD_TESTING)
@@ -65,7 +65,6 @@
 
   # These don't pass yet, disable them for now
   set(ament_cmake_copyright_FOUND TRUE)
-  set(ament_cmake_cppcheck_FOUND TRUE)
   set(ament_cmake_cpplint_FOUND TRUE)
   set(ament_cmake_flake8_FOUND TRUE)
   set(ament_cmake_uncrustify_FOUND TRUE)
