=== debian/changelog ===
ros-rolling-pilz-industrial-motion-planner-testutils (2.8.0-2jammy) jammy; urgency=high

  * Make loggers static or move into anonymous namespace (#2184 <https://github.com/ros-planning/moveit2/issues/2184>)
    * Make loggers static or move into anonymous namespace
    * Update moveit_ros/planning_interface/move_group_interface/src/move_group_interface.cpp
    * Update moveit_ros/planning_interface/move_group_interface/src/move_group_interface.cpp
    * Move LOGGER out of class template
  * Contributors: Sebastian Jahr

 -- Christian Henkel <c.henkel@pilz.de>  Sat, 09 Sep 2023 22:00:00 -0000

ros-rolling-pilz-industrial-motion-planner-testutils (2.7.4-2jammy) jammy; urgency=high



 -- Christian Henkel <c.henkel@pilz.de>  Wed, 17 May 2023 22:00:00 -0000

ros-rolling-pilz-industrial-motion-planner-testutils (2.7.3-2jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Christian Henkel <c.henkel@pilz.de>  Sun, 23 Apr 2023 22:00:00 -0000

ros-rolling-pilz-industrial-motion-planner-testutils (2.7.2-2jammy) jammy; urgency=high



 -- Christian Henkel <c.henkel@pilz.de>  Mon, 17 Apr 2023 22:00:00 -0000

ros-rolling-pilz-industrial-motion-planner-testutils (2.7.1-2jammy) jammy; urgency=high



 -- Christian Henkel <c.henkel@pilz.de>  Wed, 22 Mar 2023 23:00:00 -0000

ros-rolling-pilz-industrial-motion-planner-testutils (2.7.0-2jammy) jammy; urgency=high

  * Merge PR #1712 <https://github.com/ros-planning/moveit2/issues/1712>: fix clang compiler warnings + stricter CI
  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)
  * Add noexcept specifier to constructors
  * Add default constructors
    ... as they are not implicitly declared anymore
  * Add default copy/move constructors/assignment operators
    As a user-declared destructor deletes any implicitly-defined move constructor/assignment operator,
    we need to declared them manually. This in turn requires to declare the copy constructor/assignment as well.
  * Fix -Wdelete-non-abstract-non-virtual-dtor
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Use <> for non-local headers (#1734 <https://github.com/ros-planning/moveit2/issues/1734>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
  * Contributors: Chris Thrasher, Christian Henkel, Robert Haschke, Sameer Gupta

 -- Christian Henkel <c.henkel@pilz.de>  Sat, 28 Jan 2023 23:00:00 -0000

ros-rolling-pilz-industrial-motion-planner-testutils (2.6.0-2jammy) jammy; urgency=high

  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>)
  * Contributors: Robert Haschke, Sebastian Jahr, Vatan Aksoy Tezer

 -- Christian Henkel <c.henkel@pilz.de>  Wed, 09 Nov 2022 23:00:00 -0000

ros-rolling-pilz-industrial-motion-planner-testutils (2.5.3-2jammy) jammy; urgency=high



 -- Christian Henkel <c.henkel@pilz.de>  Wed, 27 Jul 2022 22:00:00 -0000

ros-rolling-pilz-industrial-motion-planner-testutils (2.5.2-2jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Removing more boost usage (#1372 <https://github.com/ros-planning/moveit2/issues/1372>)
  * Merge pull request #3106 <https://github.com/ros-planning/moveit2/issues/3106> from v4hn/pr-master-bind-them-all / banish bind()
  * banish bind()
  * Contributors: Henry Moore, Michael Görner, Vatan Aksoy Tezer, v4hn

 -- Christian Henkel <c.henkel@pilz.de>  Sun, 17 Jul 2022 22:00:00 -0000

ros-rolling-pilz-industrial-motion-planner-testutils (2.5.1-2jammy) jammy; urgency=high



 -- Christian Henkel <c.henkel@pilz.de>  Mon, 30 May 2022 22:00:00 -0000

ros-rolling-pilz-industrial-motion-planner-testutils (2.5.0-2jammy) jammy; urgency=high

  * Enable cppcheck (#1224 <https://github.com/ros-planning/moveit2/issues/1224>)
    Co-authored-by: jeoseo <mailto:jeongwooseo2012@gmail.com>
  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Avoid bind(), use lambdas instead (#1204 <https://github.com/ros-planning/moveit2/issues/1204>)
    Adaption of https://github.com/ros-planning/moveit/pull/3106
  * banish bind()
    source:https://github.com/ros-planning/moveit/pull/3106/commits/a2911c80c28958c1fce8fb52333d770248c4ec05; required minor updates compared to original source commit in order to ensure compatibility with ROS2
  * Merge https://github.com/ros-planning/moveit/commit/ab42a1d7017b27eb6c353fb29331b2da08ab0039
  * 1.1.9
  * 1.1.8
  * Avoid downgrading default C++ standard (#3043 <https://github.com/ros-planning/moveit2/issues/3043>)
  * 1.1.7
  * Switch to std::bind (#2967 <https://github.com/ros-planning/moveit2/issues/2967>)
    * boost::bind -> std::bind
    grep -rlI --exclude-dir=.git "boost::bind" | xargs sed -i 's/boost::bind/std::bind/g'
    * Convert bind placeholders

