=== debian/control ===
Source: ros-rolling-pilz-industrial-motion-planner-testutils
Section: misc
Priority: optional
Maintainer: Christian Henkel <c.henkel@pilz.de>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-eigen3-cmake-module, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-msgs, ros-rolling-rclcpp, ros-rolling-tf2-eigen, ros-rolling-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-rolling-pilz-industrial-motion-planner-testutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-eigen3-cmake-module, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-msgs, ros-rolling-rclcpp, ros-rolling-ros-workspace
Description: Helper scripts and functionality to test industrial motion generation
